## pglogical-ticker 1.3.1

=== Makefile ===
# pglogical_ticker/Makefile

MODULES = pglogical_ticker
REGRESS :=  01_create_ext 02_setup 03_deploy 04_add_to_rep \
            05_tick 06_worker 07_handlers 08_reentrance \
            09_1_2_tests 99_cleanup

EXTENSION = pglogical_ticker
DATA = pglogical_ticker--1.0.sql pglogical_ticker--1.0--1.1.sql \
        pglogical_ticker--1.1.sql pglogical_ticker--1.1--1.2.sql \
        pglogical_ticker--1.2.sql pglogical_ticker--1.2--1.3.sql \
        pglogical_ticker--1.3.sql
PGFILEDESC = "pglogical_ticker - Have an accurate view of pglogical replication delay"

PG_CONFIG = pg_config
PGXS := $(shell $(PG_CONFIG) --pgxs)
include $(PGXS)

# Prevent unintentional inheritance of PGSERVICE while running regression suite
# with make installcheck.  We typically use PGSERVICE in our shell environment but
# not for dev. Require instead explicit PGPORT= or PGSERVICE= to do installcheck
unexport PGSERVICE

=== debian/changelog ===
pglogical-ticker (1.3.1-1) unstable; urgency=medium

  * Fix race conditions in tests

 -- Jeremy Finzel <jfinzel@enova.com>  Wed, 23 Jan 2019 09:56:09 -0600 
 

pglogical-ticker (1.3.0-1) unstable; urgency=medium

  * Support pg11 

 -- Jeremy Finzel <jfinzel@enova.com>  Mon, 22 Oct 2018 12:11:44 -0500 

pglogical-ticker (1.2.0-1) unstable; urgency=medium

  * Add new replication sets without breakage and support cascading rep 

 -- Jeremy Finzel <jfinzel@enova.com>  Mon, 30 Jul 2018 12:36:10 -0500 

pglogical-ticker (1.1.0-2) unstable; urgency=medium

  * Compile each version with correct PG version library 

 -- Jeremy Finzel <jfinzel@enova.com>  Thu, 28 Jun 2018 16:53:13 -0500 

pglogical-ticker (1.1.0-1) unstable; urgency=medium

  * Version 1.1.0 from upstream.

 -- Jeremy Finzel <jfinzel@enova.com>  Wed, 27 Jun 2018 14:20:51 -0500 

pglogical-ticker (1.0.0-1) unstable; urgency=medium

  * Version 1.0.0 from upstream.

 -- Dominic Salvador <dsalvador@enova.com>  Mon, 30 Apr 2018 00:00:00 -0500 

=== debian/control ===
Source: pglogical-ticker
Section: database
Priority: optional
Maintainer: Jeremy Finzel <jfinzel@enova.com>
Build-Depends: debhelper (>= 9), libpq-dev, postgresql-common, postgresql-server-dev-all
Standards-Version: 4.1.3
Homepage: https://github.com/enova/pglogical_ticker
Vcs-Git: https://github.com/enova/pglogical_ticker.git

Package: postgresql-11-pglogical-ticker
Architecture: any
Depends: postgresql-11, postgresql-11-pglogical, ${shlibs:Depends}, ${misc:Depends}
Description: Have time-based replication delay for pglogical
 A pglogical extension to obtain time-based replication delay for PostgreSQL 11.

## pglogical-ticker 1.4.0

=== debian/changelog ===
pglogical-ticker (1.4.0-2) unstable; urgency=medium

  * Team upload for PostgreSQL 12.

 -- Christoph Berg <myon@debian.org>  Sat, 29 Feb 2020 22:37:11 +0100

pglogical-ticker (1.4.0-1) unstable; urgency=medium

  * Support ticker auto-restart 

 -- Jeremy Finzel <jfinzel@enova.com>  Thu, 12 Sep 2019 10:21:00 -0500 

=== debian/control ===
Source: pglogical-ticker
Section: database
Priority: optional
Maintainer: Jeremy Finzel <jfinzel@enova.com>
Build-Depends: debhelper (>= 9), libpq-dev, postgresql-common, postgresql-server-dev-all
Standards-Version: 4.1.3
Homepage: https://github.com/enova/pglogical_ticker
Vcs-Git: https://github.com/enova/pglogical_ticker.git

Package: postgresql-12-pglogical-ticker
Architecture: any
Depends: postgresql-12, postgresql-12-pglogical, ${shlibs:Depends}, ${misc:Depends}
Description: Have time-based replication delay for pglogical
 A pglogical extension to get time-based replication delay for PostgreSQL 12.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

# omit this if the package does not use autoconf
override_dh_auto_configure:
	# nothing to do here

override_dh_auto_build:
	+pg_buildext build build-%v

override_dh_auto_test:
	# nothing to do here, see debian/tests/* instead

override_dh_auto_install:
	+pg_buildext install build-%v postgresql-%v-pglogical-ticker

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_auto_clean:
	+pg_buildext clean build-%v

%:
	dh $@

## pglogical-ticker 1.4.1

=== Makefile ===
--- 
+++ 
@@ -9,7 +9,8 @@
 DATA = pglogical_ticker--1.0.sql pglogical_ticker--1.0--1.1.sql \
         pglogical_ticker--1.1.sql pglogical_ticker--1.1--1.2.sql \
         pglogical_ticker--1.2.sql pglogical_ticker--1.2--1.3.sql \
-        pglogical_ticker--1.3.sql
+        pglogical_ticker--1.3.sql pglogical_ticker--1.3--1.4.sql \
+        pglogical_ticker--1.4.sql
 PGFILEDESC = "pglogical_ticker - Have an accurate view of pglogical replication delay"
 
 PG_CONFIG = pg_config

=== debian/changelog ===
pglogical-ticker (1.4.1-8) unstable; urgency=medium

  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Tue, 17 Sep 2024 14:30:15 +0000

pglogical-ticker (1.4.1-7) unstable; urgency=medium

  * Run tests at build-time (needs postgresql-common 256).

 -- Christoph Berg <myon@debian.org>  Tue, 07 Nov 2023 16:01:40 +0000

pglogical-ticker (1.4.1-6) unstable; urgency=medium

  * Upload for PostgreSQL 16.
  * Fix function exports for PG16.
  * Use ${postgresql:Depends}.
  * Move packaging repo to salsa.debian.org.

 -- Christoph Berg <myon@debian.org>  Tue, 19 Sep 2023 12:49:32 +0000

pglogical-ticker (1.4.1-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Christoph Berg ]
  * Team upload for PostgreSQL 15.
  * debian/watch: Look at GitHub tags instead of releases.

 -- Christoph Berg <myon@debian.org>  Mon, 24 Oct 2022 20:10:12 +0200

pglogical-ticker (1.4.1-4) unstable; urgency=medium

  * Team upload for PostgreSQL 14.

 -- Christoph Berg <myon@debian.org>  Mon, 25 Oct 2021 11:11:17 +0200

pglogical-ticker (1.4.1-3) unstable; urgency=medium

  * Team upload.
  * Use dh --with pgxs.
  * R³: no.
  * DH 13.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Oct 2020 16:31:42 +0200

pglogical-ticker (1.4.1-2) unstable; urgency=medium

  * Team upload for PostgreSQL 13. (Closes: #950677)

 -- Christoph Berg <myon@debian.org>  Fri, 16 Oct 2020 13:08:12 +0200

pglogical-ticker (1.4.1-1) unstable; urgency=medium

  * Test fixes for log_min_messages behavior change

 -- Jeremy Finzel <jfinzel@enova.com>  Wed, 02 Sep 2020 12:37:10 -0500

=== debian/control ===
Source: pglogical-ticker
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders:
 Jeremy Finzel <jfinzel@enova.com>,
 Christoph Berg <myon@debian.org>,
Build-Depends:
 architecture-is-64-bit <!pkg.postgresql.32-bit>,
 debhelper-compat (= 13),
 libpq-dev,
 postgresql-17-pglogical,
 postgresql-all <!nocheck>,
 postgresql-server-dev-all,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/enova/pglogical_ticker
Vcs-Browser: https://salsa.debian.org/postgresql/pglogical-ticker
Vcs-Git: https://salsa.debian.org/postgresql/pglogical-ticker.git

Package: postgresql-17-pglogical-ticker
Architecture: any
Depends:
 postgresql-17-pglogical,
 ${misc:Depends},
 ${postgresql:Depends},
 ${shlibs:Depends},
Description: Have time-based replication delay for pglogical
 A pglogical extension to get time-based replication delay for PostgreSQL 17.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

override_dh_installdocs:
	dh_installdocs --all README.*

override_dh_pgxs_test:
	pg_buildext -o shared_preload_libraries=pglogical installcheck . . postgresql-%v-pglogical-ticker

%:
	dh $@ --with=pgxs

=== debian/watch ===
version=4
https://github.com/enova/pglogical_ticker/tags .*/v(.*).tar.gz
